For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
        • GETList registration requests
        • POSTCreate a registration request
        • GETRetrieve a registration request
        • DELDelete a registration request
        • GETFetch guest dashboard link for a registration request
LogoLogo
Contact SalesGet Support
Middesk APIEntity ManagementRegistration Requests

Fetch guest dashboard link for a registration request

GET
https://api.middesk.com/v1/partner/registration_requests/:id/guest_dashboard
GET
/v1/partner/registration_requests/:id/guest_dashboard
$curl https://api.middesk.com/v1/partner/registration_requests/id/guest_dashboard \
> -H "Authorization: Bearer <token>"
1{
2 "guest_dashboard_url": "https://agent.middesk.com/dashboard?guest_token=abc123"
3}
Was this page helpful?
Previous

List Information Requests

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
Registration Request ID

Query parameters

sectionstringOptional
Dashboard section to link to

Response

guest dashboard link
guest_dashboard_urlstringformat: "uri"

Errors

404
Get Registration Request Guest Dashboard Request Not Found Error